Bug 523062 - Xorg does not clear its buffers at initialization
Xorg does not clear its buffers at initialization
Status: CLOSED DUPLICATE of bug 522176
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2009-09-13 15:53 EDT by Nicolas Mailhot
Modified: 2009-11-09 04:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 04:41:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-09-13 15:53:13 EDT
Description of problem:

Each time this computer is rebooted (init 6, crash leading to reset...) I see the content of the screen at the time of the reboot for several seconds before gdm repaints it. This content can be anything: files the user read or edited, browser window, etc. And there is ample time to read it

This is not acceptable on a multi-user system, xorg should not wait for apps to paint something but fill the screen at once with neutral content on init

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.13.0-0.4.20090908git651fe5a47.fc12.x86_64
Comment 1 Matěj Cepl 2009-11-05 12:16:28 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Jérôme Glisse 2009-11-09 04:41:52 EST
Duplicate of 522176

*** This bug has been marked as a duplicate of bug 522176 ***

Note You need to log in before you can comment on or make changes to this bug.